/*
 * V6_1_To_V7_0.java
 *
 * Created on 26 de Setembro de 2006, 11:48
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;


/**
 *
 * @author fpalma
 */
public class V6_1_To_V7_0 extends AbstractUpdate
{
	
	public V6_1_To_V7_0()
	{
		super(6.1,7.0,"Acrescentar campo de contribuinte nos prestadores", 
				"Acrescentar campo de prestador nas marca\u00e7\u00f5es",
				"Acrescentar campo de prestador no hist\u00f3rico das  marca\u00e7\u00f5es");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
				new com.evolute.utils.sql.Update( "ALTER TABLE prestadores ADD contribuinte VARCHAR(64);" );
		executer.executeQuery( update );
		update = new com.evolute.utils.sql.Update( "ALTER TABLE marcacoes_trabalhador ADD prestador_id int4 REFERENCES prestadores( id );" );
		executer.executeQuery( update );
		update = new com.evolute.utils.sql.Update( "ALTER TABLE marcacoes_trabalhador_estados ADD prestador_id int4 REFERENCES prestadores( id );" );
		executer.executeQuery( update );
	}
	
}
